# std::type_index::name

From cppreference.com
< cpp‎ | types‎ | type index

const char* name() const; |  | (since C++11) (until C++14)
const char* name() const noexcept; |  | (since C++14)

Returns the name of the associated std::type_info object. Equivalent to calling std::type_info::name() directly.

### Parameters

(none)

### Return value

The name of the associated type_info object.

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/types/type_index/name&oldid=110156"